MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024451Community[OCCT] OCCT:DRAWpublic2013-12-10 13:182013-12-19 14:00
ReporterPawel 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024451: Logical conjunction always evaluates to false
DescriptionIn DDataStd_BasicCommands.cxx on line 1156:

if(ival < 0 && 255 < ival) {

Probably it should read:

if(ival < 0 || 255 < ival) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027150)
Pawel (developer)
2013-12-10 13:28

Branch CR24451 pushed. Please review.
(0027151)
abv (manager)
2013-12-10 13:32

No remarks, please test
(0027169)
apn (administrator)
2013-12-11 14:32

Dear BugMaster,

Branch CR24451 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 106897ac23e4f17143673eb571397f68febc086a

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 357313572 / 358871012
Total CPU difference: 41840.76000000025 / 67594.04000000008

Testing on Windows:
Total MEMORY difference: 413301512 / 413246736
Total CPU difference: 30789.6875 / 30600.03125

There are not differences in images found by testdiff.

- Related Changesets
occt: master de88958f
Timestamp: 2013-12-10 09:26:10
Author: abv
Committer: abv
Details ] Diff ]
0024451: Logical conjunction always evaluates to false

As the variable gets casted on Standard_Byte it is checked to be within the range <0; 255>
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-10 13:18 Pawel New Issue
2013-12-10 13:18 Pawel Assigned To => Pawel
2013-12-10 13:28 Pawel Note Added: 0027150
2013-12-10 13:28 Pawel Status new => resolved
2013-12-10 13:32 abv Note Added: 0027151
2013-12-10 13:32 abv Assigned To Pawel => bugmaster
2013-12-10 13:32 abv Status resolved => reviewed
2013-12-10 14:13 apn Assigned To bugmaster => apn
2013-12-11 14:32 apn Note Added: 0027169
2013-12-11 14:32 apn Test case number => Not needed
2013-12-11 14:32 apn Assigned To apn => bugmaster
2013-12-11 14:32 apn Status reviewed => tested
2013-12-13 14:09 abv Changeset attached => occt master de88958f
2013-12-13 14:09 abv Assigned To bugmaster => abv
2013-12-13 14:09 abv Status tested => verified
2013-12-13 14:09 abv Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker